API_CALL_RETRY_ATTEMPTS = 3

BRAND_INNOGY_SMARTHOME = "innogy_smarthome"
BRAND_SMARTHOME_AUSTRIA = "smarthome_austria"
BRAND_START_SMARTHOME = "start_smarthome"
DEFAULT_BRAND = BRAND_INNOGY_SMARTHOME

CLIENT_ID_INNOGY_SMARTHOME = "54031115";
CLIENT_ID_SMARTHOME_AUSTRIA = "54031115";
CLIENT_ID_START_SMARTHOME = "54031115";

CLIENT_SECRET_INNOGY_SMARTHOME = "NTQwMzExMTU6bm9zZWNyZXQ="
CLIENT_SECRET_SMARTHOME_AUSTRIA = "NTQwMzExMTU6bm9zZWNyZXQ="
CLIENT_SECRET_START_SMARTHOME = "NTQwMzExMTU6bm9zZWNyZXQ="

REDIRECT_URL_INNOGY_SMARTHOME = "https://www.ollie.in/innogy-smarthome-token/";
REDIRECT_URL_SMARTHOME_AUSTRIA = "https://www.ollie.in/smarthome-austria-token/";
REDIRECT_URL_START_SMARTHOME = "https://www.ollie.in/start-smarthome-token/";


# API URLs
API_HOST = "api.services-smarthome.de"
API_VERSION = "1.1"
API_URL_BASE = "https://" + API_HOST + "/API/" + API_VERSION
API_URL_TOKEN = "https://" + API_HOST + "/AUTH/token"
API_URL_AUTHORIZE = "https://" + API_HOST + "/AUTH/authorize"

# API_URL_CHECK_CONNECTION = API_URL_BASE + "/desc/device/SHC.RWE/1.0/event/StateChanged";

API_URL_DEVICE = API_URL_BASE + "/device"
API_URL_DEVICE_ID = API_URL_DEVICE + "/{id}"
API_URL_DEVICE_ID_STATE = API_URL_DEVICE_ID + "/state"
API_URL_DEVICE_CAPABILITIES = API_URL_DEVICE + "/{id}/capabilities"
API_URL_DEVICE_STATES = API_URL_DEVICE + "/states"

API_URL_LOCATION = API_URL_BASE + "/location";

API_URL_CAPABILITY = API_URL_BASE + "/capability";
API_URL_CAPABILITY_STATES = API_URL_CAPABILITY + "/states";

API_URL_MESSAGE = API_URL_BASE + "/message";

API_URL_EVENTS = "wss://" + API_HOST + "/API/" + API_VERSION + "/events?token={token}";

API_URL_ACTION = API_URL_BASE + "/action";

# Action constants
ACTION_TYPE_SETSTATE = "device/SHC.RWE/1.0/action/SetState"

ACTION_PARAMETER_THERMOSTATACTUATOR_OPERATIONMODE = "OperationMode";
ACTION_PARAMETER_THERMOSTATACTUATOR_POINTTEMPERATURE = "PointTemperature";
  
# #     // others
# FORMAT_DATETIME = "dd.MM.yyyy HH:mm:ss";

# ERRORS

#// General errors
ERR_UNKNOWN = 1000;
ERR_SERVICE_UNAVAILABLE = 1001;
ERR_SERVICE_TIMEOUT = 1002;
ERR_INTERNAL_API_ERROR = 1003;
ERR_INVALID_SHC_OPERATION = 1004;
ERR_MISSING_ARGUMENT_OR_WRONG_VALUE = 1005;
ERR_SERVICE_TOO_BUSY = 1006;

#// Authentication and authorization errors
ERR_UNKNOWN_AUTHENTICATION_ERROR = 2000;
ERR_ACCESS_NOT_ALLOWED = 2001;
ERR_INVALID_TOKEN_REQUEST = 2002;
ERR_INVALID_CLIENT_CREDENTIALS = 2003;
ERR_INVALID_TOKEN_SIGNATURE = 2004;
ERR_SESSION_INITIALIZATION_FAILED = 2005;
ERR_SESSION_EXISTS = 2006;
ERR_TOKEN_EXPIRED = 2007;
ERR_LOGIN_FROM_DIFFERENT_CLIENT = 2008;
ERR_INVALID_USER_CREDENTIALS = 2009;
ERR_REMOTE_ACCESS_NOT_ALLOWED = 2010;
ERR_INSUFFICIENT_PERMISSIONS = 2011;
ERR_SESSION_NOT_FOUND = 2012;
ERR_ACCOUNT_TEMPORARY_LOCKED = 2013;

#// Entities
ERR_ENTITY_DOES_NOT_EXIST = 3000;
ERR_INVALID_REQUEST_CONTENT = 3001;
ERR_NO_CHANGE_PERFORMED = 3002;
ERR_ENTITY_ALREADY_EXISTS = 3003;
ERR_INVALID_INTERACTION = 3004;

#// Products
ERR_PREMIUM_SERVICE_CANNOT_BE_ENABLED_DIRECTLY = 3500;

#// Actions
ERR_INVALID_ACTION_TRIGGERED = 4000;
ERR_INVALID_PARAMETER = 4001;
ERR_TRIGGER_ACTION_NOT_ALLOWED = 4002;
ERR_UNSUPPORTED_ACTION_TYPE = 4003;

#// Configuration
ERR_ERROR_UPDATING_CONFIG = 5000;
ERR_CONFIG_LOCKED_BY_OTHER_PROCESS = 5001;
ERR_COMMUNICATION_WITH_SHC_FAILED = 5002;
ERR_LATEST_TERMS_AND_CONDITIONS_NOT_ACCEPTED_BY_USER = 5003;
ERR_ONE_SHC_ALREADY_REGISTERED = 5004;
ERR_USER_HAS_NO_REGISTERED_SHC = 5005;
ERR_CONTROLLER_OFFLINE = 5006;